const { applicationData } = require('../../../util/db');

let batchItems;

const initializeBatchItems = async () => {
  try {
    batchItems = await applicationData.get('batchItems');
  } catch (e) {
    batchItems = [];
  }
};

const getBatchItems = () => batchItems;

const addBatchItem = async (postId) => {
  if (!batchItems.includes(postId)) {
    batchItems.push(postId);
    await applicationData.put('batchItems', batchItems);
  }
};

const clearBatchItems = async (itemsToClear) => {
  batchItems = batchItems.filter((item) => !itemsToClear.includes(item));
  await applicationData.put('batchItems', batchItems);
};

const resetBatchItems = async () => {
  batchItems = [];
  await applicationData.put('batchItems', batchItems);
  return batchItems;
};

module.exports = {
  initializeBatchItems,
  getBatchItems,
  addBatchItem,
  clearBatchItems,
  resetBatchItems,
};
