const { rollup, wallet } = require('../../../util/contracts');

let batchWorker;
let batchStart;

const getCurrentBatchWorker = () => batchWorker;

const initializeBatchWorker = async () => {
  batchWorker = await rollup.batchWorker();

  console.log('At startup, batch worker:', batchWorker);

  rollup.on('BatchWorkerAssigned', async (batchWorker_) => {
    batchWorker = batchWorker_;
    batchStart = new Date();
    console.log('Batch worker assigned:', batchWorker);
    if (batchWorker === await wallet.getAddress()) {
      console.log('This instance is the new batch worker');
    }
  });
};

const setBatchWorker = (batchWorker_) => {
  batchWorker = batchWorker_;
};

const getBatchAge = (new Date() - batchStart) / 1000;

module.exports = {
  getCurrentBatchWorker,
  initializeBatchWorker,
  setBatchWorker,
  getBatchAge,
};
