const {
  dao,
} = require('../../../util/contracts');

const computeMatrixPoolResult = async (matrixPool) => {
  // This should already contain all the info we need to evaluate the outcome
  const { stakes, quorum, winRatio } = matrixPool;
  const stakedFor = stakes
    .filter((x) => x.inFavor)
    .reduce((total, { amount }) => total + amount, 0);
  const stakedAgainst = stakes
    .filter((x) => !x.inFavor)
    .reduce((total, { amount }) => total + amount, 0);
  const votePasses = stakedFor * winRatio[1] >= (stakedFor + stakedAgainst) * winRatio[0];
  const totalSupply = Number(await dao.totalSupply());
  const quorumMet = (stakedFor + stakedAgainst) * quorum[1] >= totalSupply * quorum[0];
  const result = {
    stakedFor, stakedAgainst, totalSupply, votePasses, quorumMet,
  };
  return result;
};

module.exports = computeMatrixPoolResult;
