const { getContractAddressByNetworkName } = require('../util/contract-config');
const { registerDecider } = require('./validation-pools');

const {
  ETH_NETWORK,
} = process.env;

const work1Address = getContractAddressByNetworkName(ETH_NETWORK, 'Work1');

const start = async () => {
  console.log('registering validation pool decider for work1');
  registerDecider((pool, post) => {
    // If this is not sent by the work1 contract, it's not of interest here.
    if (pool.sender !== work1Address) return false;

    const expectedContent = 'This is a work evidence post';
    const result = post.content.startsWith(expectedContent);

    console.log(`Work evidence ${result ? 'matched' : 'did not match'} the expected content`);
    return result;
  });
};

module.exports = {
  start,
};
