const callWithRetry = require('./call-with-retry');
const { dao } = require('./contracts');

const addPostWithRetry = async (authors, hash, citations) => {
  try {
    await callWithRetry(() => dao.addPost(authors, hash, citations));
  } catch (e) {
    if (e.reason === 'A post with this postId already exists') {
      return { alreadyAdded: true };
    }
    throw e;
  }
  return { alreadyAdded: false };
};

module.exports = addPostWithRetry;
