const Promise = require('bluebird');

const callWithRetry = async (contractCall, retryDelay = 5000) => {
  let result;
  try {
    result = await contractCall();
  } catch (e) {
    if (e.code === 'REPLACEMENT_UNDERPRICED') {
      console.log('retry delay (sec):', retryDelay / 1000);
      await Promise.delay(retryDelay);
      return callWithRetry(contractCall, retryDelay * 2);
    }
    throw e;
  }
  return result;
};

module.exports = callWithRetry;
