const { proposals } = require('./contracts');

const {
  START_PROPOSAL_ID,
  STOP_PROPOSAL_ID,
} = process.env;

const gateByProposal = async (enable) => {
  enable(true);

  if (STOP_PROPOSAL_ID) {
    enable(false);
    // Check for status
    const proposal = await proposals.proposals(STOP_PROPOSAL_ID);
    if (proposal.stage === BigInt(5)) {
      // Proposal is accepted
      enable(false);
      console.log(`STOP_PROPOSAL_ID ${STOP_PROPOSAL_ID} proposal is accepted. Disabling staking.`);
    } else if (proposal.stage === BigInt(4)) {
      // Proposal is failed
      console.log(`STOP_PROPOSAL_ID ${STOP_PROPOSAL_ID} proposal is failed. No effect.`);
    } else {
      // Register a ProposalAccepted event handler.
      console.log(`STOP_PROPOSAL_ID ${STOP_PROPOSAL_ID} proposal is stage ${proposal.stage.toString()}. Registering listener.`);
      const proposalAcceptedHandler = (proposalIndex) => {
        if (proposalIndex.toString() === STOP_PROPOSAL_ID) {
          console.log(`STOP_PROPOSAL_ID ${STOP_PROPOSAL_ID} proposal is accepted. Disabling staking.`);
          enable(false);
          proposals.off('ProposalAccepted', proposalAcceptedHandler);
        }
      };
      proposals.on('ProposalAccepted', proposalAcceptedHandler);
    }
  }
  if (START_PROPOSAL_ID) {
    enable(false);
    // Check for status
    const proposal = await proposals.proposals(START_PROPOSAL_ID);
    if (proposal.stage === BigInt(5)) {
      // Proposal is accepted
      enable(true);
      console.log(`START_PROPOSAL_ID ${START_PROPOSAL_ID} proposal is accepted. Enabling staking.`);
    } else if (proposal.stage === BigInt(4)) {
      // Proposal is failed
      console.log(`START_PROPOSAL_ID ${START_PROPOSAL_ID} proposal is failed. Disabling staking.`);
    } else {
      // Register a ProposalAccepted event handler.
      console.log(`START_PROPOSAL_ID ${START_PROPOSAL_ID} proposal is stage ${proposal.stage.toString()}. Registering listener.`);
      const proposalAcceptedHandler = (proposalIndex) => {
        if (proposalIndex.toString() === START_PROPOSAL_ID) {
          console.log(`START_PROPOSAL_ID ${START_PROPOSAL_ID} proposal is accepted. Enabling staking.`);
          enable(true);
          proposals.off('ProposalAccepted', proposalAcceptedHandler);
        }
      };
      proposals.on('ProposalAccepted', proposalAcceptedHandler);
    }
  }
};

module.exports = gateByProposal;
