require('@nomicfoundation/hardhat-toolbox');
require('@nomicfoundation/hardhat-verify');
require('dotenv').config();

/** @type import('hardhat/config').HardhatUserConfig */
module.exports = {
  solidity: '0.8.24',
  networks: {
    hardhat: {
      accounts: process.env.SEED_PHRASE
        ? { mnemonic: process.env.SEED_PHRASE }
        : [process.env.LOCAL_PRIVATE_KEY],
      chainId: 1337,
    },
    ...process.env.SEPOLIA_PRIVATE_KEY ? {
      sepolia: {
        url: `https://sepolia.infura.io/v3/${process.env.INFURA_API_KEY}`,
        accounts: [process.env.SEPOLIA_PRIVATE_KEY],
      },
    } : {},
    ...process.env.MAINNET_PRIVATE_KEY ? {
      mainnet: {
        url: `https://mainnet.infura.io/v3/${process.env.INFURA_API_KEY}`,
        accounts: [process.env.MAINNET_PRIVATE_KEY],
      },
    } : {},
  },
  etherscan: {
    apiKey: {
      sepolia: process.env.ETHERSCAN_API_KEY,
    },
  },
  sourcify: {
    enabled: false,
  },
};
