require('dotenv').config();
const deployDAOContract = require('./util/deploy-dao-contract');
const deployWorkContract = require('./util/deploy-work-contract');
const deployRollableWorkContract = require('./util/deploy-rollable-work-contract');
const deployCoreContracts = require('./util/deploy-core-contracts');

const { ROLLUP_INTERVAL } = process.env;

async function main() {
  await deployCoreContracts();
  await deployDAOContract('Rollup', [ROLLUP_INTERVAL]);
  await deployDAOContract('Proposals');
  await deployWorkContract('Work1');
  await deployWorkContract('Onboarding');
  await deployRollableWorkContract('Work2');
}

main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});
