require('dotenv').config();
const deployContract = require('./deploy-contract');
const contractAddresses = require('../../contract-addresses.json');

const network = process.env.HARDHAT_NETWORK;

const deployCoreContracts = async () => {
  await deployContract('Reputation', [], true);
  await deployContract('Forum', [], true);
  await deployContract('Bench', [], true);
  await deployContract('DAO', [
    contractAddresses[network].Reputation,
    contractAddresses[network].Forum,
    contractAddresses[network].Bench,
  ], true);
};

module.exports = deployCoreContracts;
