const { ethers } = require('hardhat');
const deployContract = require('./deploy-contract');

const contractAddresses = require('../../contract-addresses.json');

require('dotenv').config();

const network = process.env.HARDHAT_NETWORK;

const deployRollableWorkContract = async (name) => {
  const priceEnvVar = `${name.toUpperCase()}_PRICE`;
  const price = ethers.parseEther(process.env[priceEnvVar] || '0.001');

  await deployContract(name, [
    contractAddresses[network].DAO,
    contractAddresses[network].Proposals,
    contractAddresses[network].Rollup,
    price,
  ]);
};

module.exports = deployRollableWorkContract;
