const { ethers } = require('hardhat');
const deployContract = require('./deploy-contract');

const contractAddresses = require('../../contract-addresses.json');

require('dotenv').config();

const network = process.env.HARDHAT_NETWORK;

const deployWorkContract = async (name) => {
  const priceEnvVar = `${name.toUpperCase()}_PRICE`;
  const price = ethers.parseEther(process.env[priceEnvVar] || '0.001');

  await deployContract(name, [
    contractAddresses[network].DAO,
    contractAddresses[network].Proposals,
    price]);
};

module.exports = deployWorkContract;
