const { ethers } = require('hardhat');

const deployDAO = async () => {
  const Reputation = await ethers.getContractFactory('Reputation');
  const Forum = await ethers.getContractFactory('Forum');
  const Bench = await ethers.getContractFactory('Bench');
  const DAO = await ethers.getContractFactory('DAO');
  const reputation = await Reputation.deploy();
  const forum = await Forum.deploy();
  const bench = await Bench.deploy();
  const dao = await DAO.deploy(
    reputation.target,
    forum.target,
    bench.target,
  );
  return {
    dao,
    reputation,
    forum,
    bench,
  };
};

module.exports = deployDAO;
