import { useState } from 'react';
import Button from 'react-bootstrap/Button';
import Form from 'react-bootstrap/Form';
import axios from 'axios';

function ImportMatrixEvent() {
  const [eventUri, setEventUri] = useState();
  const [status, setStatus] = useState('');

  const handleImport = async () => {
    setStatus(`Importing event ${eventUri}...`);
    const { data } = await axios.post('/api/importFromMatrix', { eventUri })
      .catch((error) => {
        setStatus(`Error: ${error.response?.data ?? error.message}`);
      });
    setStatus(`Response: ${JSON.stringify(data, null, 2)}`);
  };

  return (
    <>
      <h2>Import Matrix Event</h2>
      <Form.Group>
        <Form.Label>Event URI</Form.Label>
        <Form.Control
          as="input"
          className="input-event-uri mb-3"
          onChange={(e) => setEventUri(e.target.value)}
        />
      </Form.Group>
      <Button className="mb-2" onClick={handleImport}>Import</Button>
      <p>{status}</p>
    </>
  );
}

export default ImportMatrixEvent;
