import { useState } from 'react';
import Button from 'react-bootstrap/Button';
import Form from 'react-bootstrap/Form';
import axios from 'axios';

function ImportPaper() {
  const [paperId, setPaperId] = useState();
  const [status, setStatus] = useState('');

  const handleImport = async () => {
    setStatus(`Importing paper ${paperId}...`);
    const { data: { alreadyAdded, postId } } = await axios.post('/api/importFromSemanticScholar', { paperId })
      .catch((error) => {
        setStatus(`Error: ${error.response?.data ?? error.message}`);
      });
    if (alreadyAdded) {
      setStatus(`Paper ${paperId} was already imported as post ${postId}`);
    } else {
      setStatus(`Imported paper ${paperId} as post ${postId}`);
    }
  };

  return (
    <>
      <h2>Import Paper</h2>
      <Form>
        <Form.Group controlId="SSImport.paperId">
          <Form.Label>Paper ID</Form.Label>
          <Form.Control
            as="input"
            className="input-paper-id mb-3"
            onChange={(e) => setPaperId(e.target.value)}
          />
        </Form.Group>
      </Form>
      <Button className="mb-2" onClick={handleImport}>Import</Button>
      <p>{status}</p>
    </>
  );
}

export default ImportPaper;
