import { useReducer } from 'react';

const updateList = (list, action) => {
  switch (action.type) {
    case 'update': {
      const newList = [...list];
      newList[Number(action.item.id)] = action.item;
      return newList;
    }
    case 'updateById': {
      const newList = [...list];
      let itemIndex = newList.findIndex((item) => item.id === action.item.id);
      if (itemIndex < 0) {
        itemIndex = newList.length;
      }
      newList[itemIndex] = action.item;
      return newList;
    }
    case 'refresh':
    default:
      return [];
  }
};

const useList = (initialValue) => useReducer(updateList, initialValue ?? []);

export default useList;
