import contractAddresses from '../../contract-addresses.json';

const networks = {
  localhost: '0x539',
  sepolia: '0xaa36a7',
};

export const getContractAddressByNetworkName = (networkName, contractName) => {
  const address = contractAddresses[networkName][contractName];
  if (!address) throw new Error(`Contract ${contractName} not recognized`);
  return address;
};

export const getContractAddressByChainId = (chainId, contractName) => {
  const network = Object.entries(networks).find(([, id]) => id === chainId)[0];
  if (!network) throw new Error(`Chain ID ${chainId} not recognized`);
  return getContractAddressByNetworkName(network, contractName);
};

export const getContractNameByAddress = (chainId, address) => {
  const network = Object.entries(networks).find(([, id]) => id === chainId)[0];
  if (!network) throw new Error(`Chain ID ${chainId} not recognized`);
  const entries = Object.entries(contractAddresses[network]);
  const entry = entries.find(([, addr]) => addr.toLowerCase() === address.toLowerCase());
  if (entry) return entry[0];
  return undefined;
};
