The purpose of this document is to provide detailed instructions for building a decentralized, autonomous organization (DAO) using the principles and approach described in the paper [On-Chain Governance of Decentralized Autonomous Organizations (Craig Calcaterra, 2018)](https://papers.ssrn.com/sol3/papers.cfm?abstract_id=3188374).

A [prototype of this system](https://gitea.dgov.io/DGF/dgf-prototype) has been implemented in Solidity and JavaScript. This specification will be derived from that prototype, and generalized in such a way that it can be implemented using an alternative technology stack, such as Casper.

## Decentralized Autonomous Organization

### Organization

- a group of persons organized for some end or work; association 
  ([dictionary.com](https://www.dictionary.com/browse/organization))

In our model, a DAO is comprised of a group of experts who want to be able to present a united front. They will collaborate to define the rules by which the organization is to be governed, and by which customers may engage the expertise of the DAO.

### Autonomous

- self-governing; independent; subject to its own laws only. 
- having autonomy; not subject to control from outside; independent
- (of a machine, device, etc.) able to operate with little or no human control or intervention
  ([dictionary.com](https://www.dictionary.com/browse/autonomous))

The rules of the DAO are to be implemented as code, and executed automatically, without the need for human intervention.

### Decentralized

- (of currency) not controlled or distributed by a government, bank, or other third party, as bitcoin and some other digital currencies
  ([dictionary.com](https://www.dictionary.com/browse/decentralized))

The code which implements the rules of the DAO is to be run by multipe parties who each verify one another's results.