| Term | Definition |
| --- | --- |
| DAO | Decentralized Autonomous Organization (see [Overview](./index.md)) |
| DGF | [DAO Governance Framework](https://daogovernanceframework.com/wiki/DAO_Governance_Framework) |
| Casper | A block chain supporting contracts and native fungible currency |
| CSPR | The native fungible currency of the Casper block chain |
| Ethereum | A block chain supporting contracts and native fungible currency |
| ETH | The native fungible currency of the Ethereum block chain |
| Matrix | A federated communications platform |
| Synapse | The reference Matrix server implementation, including support for federation |
| Element-web | The reference Matrix front-end implementation |
| Homeserver | A Matrix homeserver running Synapse or equivalent |
| Worker | A Matrix user with a Blockchain Wallet. May stake REP, and earn REP and CSPR/ETH. |
| Customer | A user with a Blockchain Wallet. Pays to engage a work contract. |
| Staking Client | An application that listens for validation pools, performs validation and stakes for/against the pool. |
| Reputation (REP) | A non-transferable ERC20 token representing the results of validation pools within a given expertise. |
| Forum Post | A signed contribution with weighted citations |
| Validation Pool (VP) | Takes CSPR/ETH and author stakes as input. Requires REP-weighted consensus. Mints and distributes REP; distributes CSPR/ETH. |
| Work Evidence (WEV) | A forum post representing work that fulfills some work request(s) |
| Work Smart Contract (WSC) | A contract that takes REP stakes from workers and CSPR/ETH from customers, and puts them toward a validation pool (VP) targeting work evidence (WEV). |
| Proposal | A Post representing some proposed action or change, to be reviewed and approved/rejected by the DAO. |
| Attestation | Assertion by a DAO member that they are aware of a given Proposal |
| Referendum | An instance of a Validation Pool targeting a given Proposal |